## ros-noetic-dynamic-reconfigure 1.7.3

=== debian/changelog ===
ros-noetic-dynamic-reconfigure (1.7.3-1focal) focal; urgency=high

  * Add Loader=yaml.Loader to yaml.load (#178 <https://github.com/ros/dynamic_reconfigure/issues/178>)
  * Switch to new boost/bind/bind.hpp (#191 <https://github.com/ros/dynamic_reconfigure/issues/191>)
  * Contributors: Charles Jenkins, Jochen Sprickerhof

 -- Michael Carroll <michael@openrobotics.org>  Thu, 05 May 2022 00:00:00 -0000

ros-noetic-dynamic-reconfigure (1.7.2-1focal) focal; urgency=high

  * Remove calls to string.{join,lower,upper} (#174 <https://github.com/ros/dynamic_reconfigure/issues/174>)
  * fix: Race condition on quickly setting and getting config (#188 <https://github.com/ros/dynamic_reconfigure/issues/188>)
  * do not use system for generated messages or configs (#182 <https://github.com/ros/dynamic_reconfigure/issues/182>)
  * Contributors: Gaël Écorchard, Rokus Ottervanger, Shingo Kitagawa

 -- Michael Carroll <michael@openrobotics.org>  Sat, 19 Feb 2022 00:00:00 -0000

ros-noetic-dynamic-reconfigure (1.7.1-1focal) focal; urgency=high

  * narrow down required boost dependencies (#160 <https://github.com/ros/dynamic_reconfigure/issues/160>)
  * Make Config object pickle-able in Python 3 (#154 <https://github.com/ros/dynamic_reconfigure/issues/154>)
  * Fix python3 issue in a backward compatible way (#157 <https://github.com/ros/dynamic_reconfigure/issues/157>)
  * import setup from setuptools instead of distutils-core (#153 <https://github.com/ros/dynamic_reconfigure/issues/153>)
  * Contributors: Alejandro Hernández Cordero, Mikael Arguedas, Scott K Logan

 -- Michael Carroll <michael@openrobotics.org>  Fri, 28 Aug 2020 00:00:00 -0000

ros-noetic-dynamic-reconfigure (1.7.0-1focal) focal; urgency=high

  * Fixing compile error with cpp client when using -Werror=reorder. (#118 <https://github.com/ros/dynamic_reconfigure/issues/118>)
  * ConfigType.h.template: fixed warnings (#136 <https://github.com/ros/dynamic_reconfigure/issues/136>) (#149 <https://github.com/ros/dynamic_reconfigure/issues/149>)
  * Bump CMake minimum version to use CMP0048 (#148 <https://github.com/ros/dynamic_reconfigure/issues/148>)
  * Use PYTHON_EXECUTABLE to generate config headers. (#146 <https://github.com/ros/dynamic_reconfigure/issues/146>)
  * Python3 compatibility (#135 <https://github.com/ros/dynamic_reconfigure/issues/135>)
  * Use system on gen headers (#140 <https://github.com/ros/dynamic_reconfigure/issues/140>)
  * Fix GCC8 error for unnecessary parentheses (#132 <https://github.com/ros/dynamic_reconfigure/issues/132>)
  * fix generate_dynamic_reconfigure_options (#10 <https://github.com/ros/dynamic_reconfigure/issues/10>) (#134 <https://github.com/ros/dynamic_reconfigure/issues/134>)
  * Make Michael Carroll the maintainer (#125 <https://github.com/ros/dynamic_reconfigure/issues/125>)
  * Contributors: Christopher Wecht, Markus Grimm, Michael Carroll, Mikael Arguedas, Nicolas Limpert, Sean Yen [MSFT], Victor Lopez

 -- Michael Carroll <michael@openrobotics.org>  Thu, 05 Mar 2020 00:00:00 -0000

ros-noetic-dynamic-reconfigure (1.6.0-1focal) focal; urgency=high

  * fix check preventing range for string and bool parameters (#122 <https://github.com/ros/dynamic_reconfigure/issues/122>)
  * Fix build issue on Windows (#114 <https://github.com/ros/dynamic_reconfigure/issues/114>)
  * Contributors: Johnson Shih, Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Tue, 02 Oct 2018 00:00:00 -0000

ros-noetic-dynamic-reconfigure (1.5.50-1focal) focal; urgency=high

  * final-keyword (#113 <https://github.com/ros/dynamic_reconfigure/issues/113>)
    * Add final keyword to child class since parent has virtual methods and grand parent doesn't have a virtual destructor. This allows the code to be compiled by clang version 6.0 and above.
  * [indentation fixups]
    * Use textwrap dedent for multiline strings
    * Remove extra indentation in wikidoc
    * Use textwrap.dedent to form the error message
  * [test fix] call shutdown to prevent test from hanging (#119 <https://github.com/ros/dynamic_reconfigure/issues/119>)
  * Modernize Python code (#102 <https://github.com/ros/dynamic_reconfigure/issues/102>)
    * Use new-style classes
    * Use with statement to ensure files are closed
  * Python 3 compatibility (#105 <https://github.com/ros/dynamic_reconfigure/issues/105>)
    * some randon python cleanup
    * remove iter* method for their 2/3 compatible equivalent
  * Contributors: Eric Wieser, Jason Mercer, Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Tue, 02 Oct 2018 00:00:00 -0000

ros-noetic-dynamic-reconfigure (1.5.49-1focal) focal; urgency=high

  * Pep8 (#93 <https://github.com/ros/dynamic_reconfigure/issues/93>)
  * Python3 use print function and not statement (#92 <https://github.com/ros/dynamic_reconfigure/issues/92>)
  * add shebang line in setup_custom_pythonpath.sh.in template (#91 <https://github.com/ros/dynamic_reconfigure/issues/91>)
  * switch to package format 2 (#89 <https://github.com/ros/dynamic_reconfigure/issues/89>)
  * remove trailing whitespaces (#88 <https://github.com/ros/dynamic_reconfigure/issues/88>)
  * Reraising DynamicReconfigureCallbackException in case of a failing service call (#87 <https://github.com/ros/dynamic_reconfigure/issues/87>)
  * Contributors: Arne Hitzmann, Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Thu, 27 Jul 2017 00:00:00 -0000

ros-noetic-dynamic-reconfigure (1.5.48-1focal) focal; urgency=high

  * [Bugfix] dont enforce ROS names for constants (#84 <https://github.com/ros/dynamic_reconfigure/issues/84>)
  * [Compiler warnings] avoid unused-parameter compiler warnings in specialized ParamDescription<std::string>::clamp() (#83 <https://github.com/ros/dynamic_reconfigure/issues/83>)
  * Contributors: Johannes Meyer, Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Fri, 07 Apr 2017 00:00:00 -0000

ros-noetic-dynamic-reconfigure (1.5.47-1focal) focal; urgency=high


